Skip to main content
POST
Transcribe video

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required
videoId
string
required

Query Parameters

force
boolean
default:false

Body

application/json

Used to override video library transcription settings, null by default

targetLanguages
string[] | null

List of languages that will be used as target languages, use ISO 639-1 language codes.

generateTitle
boolean | null

Whether video title should be automatically generated.

generateDescription
boolean | null

Whether video description should be automatically generated.

generateChapters
boolean | null

Whether video chapters should be automatically generated.

generateMoments
boolean | null

Whether video moments should be automatically generated.

sourceLanguage
string | null

Video source language, use ISO 639-1 language code.

Response

The transcription was queued

success
boolean

Determines if the request was successful

message
string | null

Response message description

statusCode
integer<int32>

The response status code

Last modified on July 22, 2026